Subject: Re: [bug#33008] [WIP] openjdk 9 and 10

From: Julien Lepiller <[email-masked]>
Date: Thu, 11 Oct 2018 10:23:52 +0200

> Hi Julien,
> 
> Could you, or somebody, perhaps explain to me what the difference
> between the IcedTea distribution and OpenJDK is?

OpenJDK is the free software version of Oracle's (or Sun's) JDK. It used 
to lack a few components to be buildable and runnable with only free 
software, and was a collection of separate components that were hard to 
build. IcedTea is a project to build a coherent collection of these 
components, and it also implemented a few missing components. IcedTea is 
only available for Java 6 to 8. From java 9, oracle did provide enough 
free software components and buildable sources, so we can build OpenJDK 
without a project like IcedTea.

https://en.wikipedia.org/wiki/IcedTea for more information ;)